import QtQuick 1.0

import "styles"

Rectangle {

    property alias paddingItem: paddingItem // Read-only
    property QtObject style: ListHeadingStyle {}

    width: parent.width
    height: style.height
    color: style.backgroundColor

    Rectangle {
        anchors.top: parent.top
        width: parent.width
        color: "#C8C8C8"
    }

    Item {
        // non-visible item to create a padding boundary that content items can bind to
        id: paddingItem
        anchors {
            fill: parent
            leftMargin: 12
            rightMargin: 12
            topMargin: 3
            bottomMargin: 3
        }
    }
}
