import QtQuick 1.0
import com.nokia.pt 1.0

Item {

    height: 95

    property string color: "#000000"
    property alias font: defaultFont.font

    property string walkColor: "#646464"
    property alias walkFont: walkFont.font

    property string hintColor: "#646464"
    property alias hintFont: hintFont.font

    property string timeColor: "#000000"
    property alias timeFont: timeFont.font

    property alias lineFont: lineFont.font

    QmlFont {
        id: defaultFont
        font {
            pixelSize: 26
            weight: Font.Bold
        }
    }

    QmlFont {
        id: walkFont
        font {
            pixelSize: 22
            weight: Font.Bold
        }
    }

    QmlFont {
        id: hintFont
        font.pixelSize: 19
    }

    QmlFont {
        id: timeFont
        font.pixelSize: 22
    }

    QmlFont {
        id: lineFont
        font {
            pixelSize: 22
            weight: Font.Bold
        }
    }

}
