import QtQuick 1.0

Text {
    property bool brightBackground: (parent && "brightBackground" in parent) ? parent.brightBackground : true
    property string role: "Title"
    property string mode

    color:          brightBackground ?
                        role === "Title" ?    "#000" :
                        role === "SubTitle" ? "#888" :
                                              "#000"
                        : "#FFF"

    font.pixelSize: role === "Title" ? 33 :
                    role === "SubTitle" ? 24 :
                    33

    smooth: true

    verticalAlignment: Text.AlignVCenter
}
