import QtQuick 1.0

import com.nokia.meego 1.0 as QtQuickComponents

QtQuickComponents.ToolIcon {
    property bool brightBackground: true
    onBrightBackgroundChanged: __update()
    Component.onCompleted: __update()
    opacity: enabled ? 1 : 0.35
    Behavior on opacity { NumberAnimation { duration: 500 } }
    function __update () {
        platformStyle.inverted = !brightBackground;
    }
}
