import QtQuick 1.0

import "styles/Styles.js" as Styles

Text {
    id: root

    property string role: "Title"
    property string __roleLC: role.toLocaleLowerCase()

    property ListItem item

    property QtObject style: (item || parent).style || Styles.listItemTextStyle

    state: (item || parent).state

    font: (style[__roleLC] || style).font // (root.role === "Title" || root.role === "" || root.role === "SelectionTitle") ? style.font : style.subTitle.font
    color: (style[__roleLC] || style).color //(root.role === "Title" || root.role === "" || root.role === "SelectionTitle") ? style.color : style.subTitle.color
}
