import QtQuick 1.0

import com.nokia.pt 1.0

Item {
    property int minHeight: 60

    property alias font: destination.font
    property alias lineFont: line.font

    // line font
    QmlFont {
        id: line
        font {
            pixelSize: 22
            weight: Font.Bold
        }
    }
    // platform font
    QmlFont {
        id: destination
//        property string color: "#666"
        font {
            pixelSize: 26
            weight: Font.Bold
        }
    }
}
