import QtQuick 1.0

import "../../qtcomponents"
import "../../components"

PopupNotification {
    id: favoriteRoutesConvertedNotification
    anchors.fill: parent
    title: qsTrId("qtn_pt_homepage_favoriteroutesupdated_title")

    Column {
        spacing: 20
        anchors {
            left: parent.left
            leftMargin: 10
            right: parent.right
            rightMargin: 10
        }

        Label {
            anchors { left: parent.left; right: parent.right; }
            font.pixelSize: 22
            text: qsTrId("qtn_pt_homepage_favoriteroutesupdated_text")
            horizontalAlignment: Text.AlignJustify
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        }

        Button {
            text: qsTrId("qtn_pt_ok")
            anchors.horizontalCenter: parent.horizontalCenter
            onClicked: {
                favoriteRoutesConvertedNotification.hide();
            }
        }
    }
}
