import QtQuick 1.0

import MapsPlugin 1.0


MapQmlItem {
    id: item

    property bool disabled: false

    Item {
        y: -height/2 + 3
        height: img.sourceSize.height
        width: img.sourceSize.width
        scale: map.zoomScale < 160 ? 1 : .7
        opacity: item.disabled ? .4 : 1
        transformOrigin: Item.Bottom

        Image {
            id: img
            source: "../../../images/categories/general-station-marker.png"
            smooth: true
        }
    }
}

