import QtQuick 1.0

import com.nokia.meego 1.0 as QtQuickComponents

QtQuickComponents.Page {
    property string title: ""

    property string statusStr: __getString(status)
    function __getString(status) {
        switch (status) {
            case QtQuickComponents.PageStatus.Activating: return "Activating";
            case QtQuickComponents.PageStatus.Active: return "Active";
            case QtQuickComponents.PageStatus.Deactivating: return "Deactivating";
            case QtQuickComponents.PageStatus.Inactive: return "Inactive";
        }
        return "";
    }

    tools: QtQuickComponents.ToolBarLayout {
        BackToolButton {}
    }
}
